Bug 76212 - iwconfig does not show the correct attribute values.
iwconfig does not show the correct attribute values.
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-10-18 04:18 EDT by Ivo Sarak
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:40:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ivo Sarak 2002-10-18 04:18:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
iwconfig will show a frequency used as 2.412GHz despite channel is something
else than 1.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Run iwconfig in configuration where is a Cisco PCI 342 card.


Actual Results:  Despite the actual situation, iwconfig will show following
Frequency:2.412GHz Sensitivity=0/65535 Noise level:-256 dBm

Expected Results:  Frequency must correspond to a channel and all other
parameters are certainly not the constants.

Additional info:
# cat /proc/driver/aironet/eth2/Config
Mode: ESS
Radio: on
PowerMode: CAM
DataRates: 2 4 11 22 0 0 0 0
Channel: 3
XmitPower: 30
LongRetryLimit: 16
ShortRetryLimit: 16
RTSThreshold: 2312
TXMSDULifetime: 5000
RXMSDULifetime: 10000
TXDiversity: left
RXDiversity: left
FragThreshold: 2312
WEP: open
Modulation: cck
Preamble: short

# cat /proc/driver/aironet/eth2/Status
Mode: 3f
Signal Strength: 45
Signal Quality: 4
SSID: test
Freq: 0
BitRate: 11mbs
Driver Version: airo.c 0.3 (Ben Reed & Javier Achirica)
Device: 340 Series
Manufacturer: Cisco Systems
Firmware Version: 3.93
Radio type: 2
Country: 0
Hardware Version: 20
Software Version: 393
Software Subversion: 0
Boot block version: 143
Comment 1 Bill Nottingham 2004-03-15 12:31:35 EST
That is a kernel bug in what the driver is reporting, AFAIK.
Comment 2 Bugzilla owner 2004-09-30 11:40:05 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.